/***********************************************************************************************************************
 *
 * blueBill Mobile - Android - open source birding
 * Copyright (C) 2009-2011 by Tidalwave s.a.s. (http://www.tidalwave.it)
 *
 ***********************************************************************************************************************
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on
 * an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations under the License.
 *
 ***********************************************************************************************************************
 *
 * WWW: http://bluebill.tidalwave.it/mobile
 * SCM: https://java.net/hg/bluebill-mobile~android-src
 *
 **********************************************************************************************************************/
package it.tidalwave.bluebill.mobile.news.ui;

import javax.annotation.Nonnull;
import it.tidalwave.util.thread.annotation.ThreadConfined;
import static it.tidalwave.util.thread.ThreadType.*;

/***********************************************************************************************************************
 *
 * @stereotype Controller
 * 
 * @navassoc - - - NewsView
 * @navassoc - - - it.tidalwave.bluebill.mobile.news.NewsService
 * @navassoc - - - it.tidalwave.bluebill.mobile.news.NewsService.AvailabityNotifier
 * @navassoc - - - it.tidalwave.bluebill.mobile.news.NewsService.DownloadConfirmation
 * 
 * @author  Fabrizio Giudici
 * @version $Id$
 *
 **********************************************************************************************************************/
public interface NewsViewController
  {
    /*******************************************************************************************************************
     *
     * Makes the view to render the news feed.
     *
     ******************************************************************************************************************/
    @ThreadConfined(type=ANY)    
    public void showNewsFeed();

    /*******************************************************************************************************************
     *
     * Cancels any pending operation.
     *
     ******************************************************************************************************************/
    @ThreadConfined(type=ANY) 
    public void cancel();
  }
